---
title: "Migrating to WordPress"
date: 2023-01-08T10:53:07
slug: migrating-to-wordpress

---
After messing around for the better part of a week with custom builds of Netlify CMS and varying levels of complexity, I bit the bullet and just migrated my blog to Wordpress. My original intention was for it to be quick and easy, to give me way more control over posting and make things easier. 

That's rarely the case, and I ran into a few issues with clashing plugins, and of course I had to migrate my theme to make it work with Wordpress. But *hopefully* now I won't have as many issues.

I've been meaning to re-learn how Wordpress works anyway, so this was as good of a time as any. And it means I get to put together a nice little utility plugin that makes my life easier. Here are the plugins I'm using:

- [IndieWeb](https://wordpress.org/plugins/indieweb/) for interacting with other websites
- [Perfect Images](https://wordpress.org/plugins/wp-retina-2x/) for displaying scaled images
- [WP Super Cache](https://wordpress.org/plugins/wp-super-cache/) to cache my pages and (hopefully) improve performance

I'd also like to find a way to serve WebP images instead of jpegs where possible - Jetpack can do this via its CDN, but it doesn't play nicely with Perfect Images, so I might have to wrangle something myself.
